<?php

declare(strict_types=1);

namespace App\Framework\EventSourcing\Demo;

final readonly class DemoAggregateEvent
{
    public function __construct(
        public DemoAggregateDomainId $domainId,
        public string $name = 'Demo Created',
        public array $data = []
    ) {
    }

    public function getDomainId(): DemoAggregateDomainId
    {
        return $this->domainId;
    }

    public function getName(): string
    {
        return $this->name;
    }

    public function getData(): array
    {
        return $this->data;
    }
}
